**`Venkat Kotapati`[NAME]** -NL- **`kotapatijobs@gmail.com`[EMAILS_EMAIL]** -NL- **`314-379-7576`[PHONES_PHONE]** -NL- **`PROFESSIONAL SUMMARY:`[SUMMARY_HEADING]** -NL-  Overall 5+ years of overall experience with strong emphasis on Design, -NL- Development, Implementation, Testing and Deployment of Software -NL- Applications. -NL-  Over 5+ years of comprehensive IT experience in BigData and Big -NL- DataAnalytics, Hadoop, HDFS, Map Reduce, YARN, HadoopEcosystem and -NL- ShellScripting. -NL-  Highly capable for processing large sets of Structured, Semi-structured and -NL- Unstructured datasets and supporting BigData applications. -NL-  Expertise in transferring data between a Hadoop ecosystem and structured -NL- data storage in a RDBMS such as MY SQL, Oracle, Teradata and DB2 using -NL- Sqoop. -NL-  Experience in ApacheSpark cluster and streams processing using Spark -NL- Streaming -NL-  Expertise in moving large amounts of log, streaming event data and -NL- Transactional data using Flume. -NL-  Experience in developing Map Reduce jobs in Java for data cleaning and pre- -NL- processing. -NL-  Expertise in writing PigLatin, Hive Scripts and extended their functionality -NL- using UserDefined Functions (UDF's). -NL-  Good knowledge on Hadoop, Hbase, Hive, Pig Latin Scripts, MR, Sqoop, -NL- Flume, Hive QL. -NL-  Experience in analyzing data using Pig Latin, HiveQL and HBase. -NL-  Capturing data from existing databases that provide SQL interfaces using -NL- Sqoop. -NL-  Experience in importing and exporting data using Sqoop from HDFS to -NL- RelationalDatabase Systems and vice-versa. -NL-  Implemented Proofs of Concept on Hadoop stack and different big data analytic -NL- tools, -NL-  migration from different databases (i.e Teradata, Oracle, MYSQL) to Hadoop. -NL-  Worked on NoSQL databases including HBase, Cassandra and MongoDB -NL-  Successfully loadedfiles to Hive and HDFS from MongoDB, HBase -NL-  Experience in configuring Hadoop Clusters and HDFS. -NL-  Expertise in handling structured arrangement of data within certain limits (Data -NL- Layout's) using Partitions and Bucketing in Hive. -NL-  Expertise in preparing interactive Data Visualization's using Tableau Software -NL- from different sources. -NL-  Hands on experience in developing workflows that execute MapReduce, -NL- Sqoop, Pig,Hive and Shellscripts using Oozie. -NL-  Experience working with Cloudera HueInterface and Impala. -NL-  Expertise in developing SQLqueries, Stored Procedures and excellent -NL- development experience with Agile Methodology. -NL-  Ability to adapt to evolving technology, strong sense of responsibility and -NL- accomplishment. -NL-  Excellent leadership, interpersonal, problem solving and time management -NL- skills. -NL-  Excellent communication skills both Written (documentation) and Verbal -NL- (presentation). -NL- **`EDUCATION:`[EDUCATION_HEADING]** -NL- **`Masters`[EDUCATION_DEGREE]** in **`Computer Science`[EDUCATION_COURSE]** (Data Science)-2019, **`Fontbonne University, St Louis, -NL- Missouri, USA`[EDUCATION_INSTITUTE]** -NL- TOOLS AND TECHNOLOGIES: -NL- Hadoop/Big Data HDFS, MapReduce, Hive, Pig, Sqoop, Flume, -NL- Oozie, and Zookeeper. -NL- No SQL -NL- Hbase, Cassandra, MongoDB -NL- Databases -NL- **`Languages`[OTHERS_HEADING]** -NL- C, Python, Java, J2EE, PL/SQL, Pig Latin, HiveQL, -NL- Unix shell scripts, R Programming -NL- Java/J2EE -NL- Applets, Swing, JDBC, JNDI, JSON, JSTL, RMI, -NL- Technologies -NL- JMS, Java Script, JSP, Servlets, EJB, JSF, JQuery -NL- Frameworks -NL- MVC, Struts, Spring, Hibernate -NL- Operating Systems -NL- Sun Solaris, HP-UNIX , RedHat Linux, Ubuntu -NL- Linux and Windows XP/Vista/7/8 -NL- Web -NL- HTML, DHTML, XML, AJAX, WSDL, SOAP -NL- Technologies -NL- Web/Application Apache Tomcat, WebLogic, JBoss -NL- servers -NL- Databases -NL- Oracle 9i/10g/11g, DB2, SQL Server, MySQL, -NL- Teradata -NL- Tools and IDE -NL- Eclipse, NetBeans, Toad, Maven, ANT, Hudson, -NL- Sonar, JDeveloper, Assent PMD, DB Visualizer, -NL- Network -NL- TCP/IP, UDP, HTTP, DNS, DHCP -NL- Protocols -NL- **`PROFESSIONAL EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- Client: **`Verizon`[EMPLOYER_COMPANY_NAME]** -NL- May 2019- Aug 2019 -NL- Role: **`Hadoop Developer - Intern`[EMPLOYER_ROLE]** -NL- Description: The Post - ecommerce - Parcel division develops the global e-commerce -NL- business under the brand names ‘DHL Parcel’ for Europe and ‘DHL ecommerce’ for the -NL- Americas, Asia Pacific, Middle East, and Africa. Backed by our strong group network and -NL- experience, DHL Parcel and DHL eCommerce offer a full range of cross-border shipping -NL- services covering more than 220 countries across the globe. -NL- Responsibilities: -NL-  Involved in end to end data processing like ingestion, processing, and quality -NL- checks and splitting. -NL-  Developed Spark scripts by using Scala as per the requirement. -NL-  Load the data into SparkRDD and performed in-memory data computation to -NL- generate the output response. -NL-  Performed different types of transformations and actions on the RDD to meet -NL- the business requirements. -NL-  Developed a data pipeline using Kafka, Spark and Hive to ingest, transform -NL- and analysing data. -NL-  Also worked on analysing Hadoop cluster and different bigdata analytic -NL- tools including Pig, HBase and Sqoop. -NL-  Involved in loading data from UNIXfile system to HDFS. -NL-  Created HBase tables to store variable data formats of PII data coming from -NL- different portfolios. -NL-  Implemented best offer logic using Pig scripts and Pig UDFs. -NL-  Responsible to manage data coming from various sources. -NL-  Experience on loading and transforming of large sets of structured, semi -NL- structured and unstructured data. -NL-  Cluster coordination services through Zookeeper. -NL-  Exported the analysed data to the relational databases using Sqoop for -NL- visualization and to generate reports for the BI team. -NL-  Analysed large amounts of data sets to determine optimal way to aggregate -NL- and report on it. -NL-  Responsible for setting up QA environment and updating configurations for -NL- implementing scripts with Pig and Sqoop. -NL-  Involved in managing and reviewing Hadoop logfiles. -NL-  Imported data using Sqoop to load data from MySQL to HDFS on regular -NL- basis. -NL-  Developing Scripts and Batch Job to schedule various Hadoop Program. -NL-  Responsible for writing Hive queries for data analysis to meet the business -NL- requirements. -NL-  Responsible for creating Hive tables and working on them using HiveQL. -NL-  Responsible for importing and exporting data into HDFS and Hive using -NL- Sqoop. -NL-  Involved in creating Hive tables, loading with data and writing hive queries -NL- which will run internally in map reduce way. -NL-  Designed and implemented Map Reduce based large-scale parallel relation- -NL- learning system. -NL-  Involved in scheduling Oozie workflow engine to run multiple Hive jobs -NL-  Developing parser and loader map reduce application to retrieve data from HDFS -NL- and store to HBase and Hive. -NL-  Importing the unstructured data into the HDFS using Flume. -NL-  Used Oozie to orchestrate the map reduce jobs that extract the data on a timely -NL- manner. -NL-  Involved in using HBase Java API on Java application. -NL-  Automated all the jobs for extracting the data from different Data Sources like -NL- MySQL to pushing the result set data to Hadoop Distributed File System. -NL-  Hands on design and development of an application using Hive (UDF). -NL-  Responsible for writing Hive Queries for analyzing data in Hive warehouse using -NL- Hive Query Language (HQL). -NL-  Provide support data analysts in running Pig and Hive queries. -NL-  Involved in HiveQL and Involved in Pig Latin. -NL-  Importing and exporting Data from MySQL/Oracle to HiveQL Using SQOOP. -NL-  Responsible for defining the data flow within Hadoop eco system and direct the -NL- team in implement them. -NL- Client: **`United Health Groups`[EMPLOYER_COMPANY_NAME]** -NL- Aug 2016- Aug 2018 -NL- Role: **`Hadoop Developer`[EMPLOYER_ROLE]** -NL- Responsibilities: -NL-  Involved in end to end data processing like ingestion, processing, and quality -NL- checks and splitting. -NL-  Developed Spark scripts by using Scala as per the requirement. -NL-  Load the data into SparkRDD and performed in-memory data computation to -NL- generate the output response. -NL-  Performed different types of transformations and actions on the RDD to meet -NL- the business requirements. -NL-  Developed a data pipeline using Kafka, Spark and Hive to ingest, transform -NL- and analysing data. -NL-  Also worked on analysing Hadoop cluster and different bigdata analytic -NL- tools including Pig, HBase and Sqoop. -NL-  Involved in loading data from UNIXfile system to HDFS. -NL-  Created HBase tables to store variable data formats of PII data coming from -NL- different portfolios. -NL-  Implemented best offer logic using Pig scripts and Pig UDFs. -NL-  Responsible to manage data coming from various sources. -NL-  Experience on loading and transforming of large sets of structured, semi -NL- structured and unstructured data. -NL-  Cluster coordination services through Zookeeper. -NL-  Exported the analysed data to the relational databases using Sqoop for -NL- visualization and to generate reports for the BI team. -NL-  Analysed large amounts of data sets to determine optimal way to aggregate -NL- and report on it. -NL-  Responsible for setting up QA environment and updating configurations for -NL- implementing scripts with Pig and Sqoop. -NL-  Involved in managing and reviewing Hadoop logfiles. -NL-  Imported data using Sqoop to load data from MySQL to HDFS on regular -NL- basis. -NL-  Developing Scripts and Batch Job to schedule various Hadoop Program. -NL-  Responsible for writing Hive queries for data analysis to meet the business -NL- requirements. -NL-  Responsible for creating Hive tables and working on them using HiveQL. -NL-  Responsible for importing and exporting data into HDFS and Hive using -NL- Sqoop. -NL-  Involved in creating Hive tables, loading with data and writing hive queries -NL- which will run internally in map reduce way. -NL-  Designed and implemented Map Reduce based large-scale parallel relation- -NL- learning system. -NL-  Involved in scheduling Oozie workflow engine to run multiple Hive jobs -NL-  Developing parser and loader map reduce application to retrieve data from HDFS -NL- and store to HBase and Hive. -NL-  Importing the unstructured data into the HDFS using Flume. -NL-  Used Oozie to orchestrate the map reduce jobs that extract the data on a timely -NL- manner. -NL-  Involved in using HBase Java API on Java application. -NL-  Automated all the jobs for extracting the data from different Data Sources like -NL- MySQL to pushing the result set data to Hadoop Distributed File System. -NL-  Hands on design and development of an application using Hive (UDF). -NL-  Responsible for writing Hive Queries for analyzing data in Hive warehouse using -NL- Hive Query Language (HQL). -NL-  Provide support data analysts in running Pig and Hive queries. -NL-  Involved in HiveQL and Involved in Pig Latin. -NL-  Importing and exporting Data from MySQL/Oracle to HiveQL Using SQOOP. -NL-  Responsible for defining the data flow within Hadoop eco system and direct the -NL- team in implement them. -NL- Environment:Hadoop, MapReduce2.7.2, Hive2.0, Pig0.16, Sqoop2, Java, Oozie, -NL- HBase0.98.19, Kafka0.10.1.1, Spark2.0, Scala2.12.0, Eclipse, Linux, Oracle, Teradata. -NL- Client: **`Cisco`[EMPLOYER_COMPANY_NAME]** -NL- June 2014 - Aug 2016 -NL- Role: **`Hadoop Developer`[EMPLOYER_ROLE]** -NL- Responsibilities: -NL-  Worked on Hortonworks-HDP 2.5distribution -NL-  Responsible for building-scalable distribution data solution using Hadoop -NL-  Involved in importing data from MicrosoftSQLServer, MySQL, Teradata. into HDFS using -NL- Sqoop. -NL-  Played a key role in dynamic partitioning and Bucketing of the data stored in Hive Metadata. -NL-  Writing HiveQL queries for integrating different tables for create views to produce result set. -NL-  Collected the log data from Web Servers and integrated into HDFS using Flume. -NL-  Experienced on loading and transforming of large sets of structed and unstructured data. -NL-  UsedMapReduce programs for data cleaning and transformations and load the output into the -NL- Hive tables in different file formats. -NL-  Written MapReduce programs to handle semi structed and un structed data like JSON, Avro data -NL- files and sequence files for log files. -NL-  Created data pipelines for different events to load the data from DynamoDB to AWS S3 bucket -NL- and then into HDFS location. -NL-  Involved in loading data into HBaseNoSQL database. -NL-  Building, Managing and scheduling Oozie workflows for end to end job processing -NL-  Experienced in extending Hive and Pig core functionality by writing custom UDFs using Java. -NL-  Analyzing of Large volumes of structured data using SparkSQL. -NL-  Written shell script to execute HiveQL. -NL-  Used Spark as ETL tool -NL-  Written Automated shell scripts in Linux/Unix environment using bash. -NL-  Migrated HiveQL queries into SparkSQLto improve performance. -NL-  Extracted Real time feed using Spark streaming and convert to RDD and process data into Data -NL- Frame and load the data into HBase. -NL-  Experienced in using Data Stax Spark connector which is used to store the data into Cassandra -NL- databaseor get the data from Cassandra database. -NL-  Extracted Real time feed using Spark streaming and convert it to RDD and process data into -NL- Data Frame and load the data into Cassandra. -NL- Environment: Hortonworks, Hadoop, HDFS, Pig, Sqoop, Hive, Oozie, Zookeeper, NoSQL, -NL- HBase, Shell Scripting, Scala, Spark, SparkSQL. -NL- Client: **`Anthem Care`[EMPLOYER_COMPANY_NAME]** -NL- May 2013–June 2014 -NL- Role: **`Hadoop Developer`[EMPLOYER_ROLE]** -NL- Responsibilities: -NL-  Developed a process for Sqooping data from multiple sources like SQLServer, -NL- Oracle and Teradata. -NL-  Responsible for creation of mapping document from source fields to destination -NL- fields mapping. -NL-  Developed a shell script to create staging, landing tables with the same schema -NL- like the source and generate the properties which are used by Ooziejobs. -NL-  Developed Oozie workflow's for executing Sqoop and Hive actions. -NL-  Worked with NoSQL databases like Hbase in creating Hbase tables to load large -NL- sets of semi structured data coming from various sources. -NL-  Involved in building databaseModel, APIs and Views utilizing python, in order to -NL- build an interactive web based solution -NL-  Performance optimizations on Spark/Scala. Diagnose and resolve performance -NL- issues. -NL-  Responsible for developing Python wrapper scripts which will extract specific date -NL- range using Sqoop by passing custom properties required for the workflow. -NL-  Developed scripts to run Oozie workflows, capture the logs of all jobs that run on -NL- cluster and create a metadata table which specifies the execution times of each job. -NL-  Developed Hivescripts for performing transformation logic and also loading the -NL- data from staging zone tofinal landing zone. -NL-  Developed monitoring and notification tools using Python. -NL-  Worked on Parquet File format to get a better storage and performance for publish -NL- tables. -NL-  Involved in loading transactional data into HDFS using Flume for Fraud Analytics. -NL-  Developed Python utility to validate HDFS tables with source tables. -NL-  Designed and developed UDF'S to extend the functionality in both PIG and HIVE. -NL-  Import and Export of data using Sqoop between MySQL to HDFS on regular basis. -NL-  Managed datasets using Panda data frames and MySQL, queried MYSQL database -NL- queries from python using Python-MySQL connector and MySQL dB package to -NL- retrieve information. -NL-  Automated all the jobs for pulling data from FTP server to load data into Hive tables -NL- using Oozieworkflows. -NL-  Involved in developing Spark code using Scala and Spark-SQL for faster testing and -NL- processing of data and exploring of optimizing it using SparkContext, Spark-SQL, -NL- PairRDD's, Spark YARN. -NL-  Migrating the needed data from Oracle, MySQL in to HDFS using Sqoop and -NL- importing various -NL-  formats offlatfiles in to HDFS. -NL- Environment: Hadoop, HDFS2.6.3, Hive1.0.1, HBase0.98.12.1, Zookeeper3.5.1, Oozie, -NL- Impala1.4.1, Java(jdk1.6), ClouderaCDH 3, Oracle, Teradata SQL Server, UNIX Shell -NL- Scripting, Flume1.6.0, Scala2.11.6, Spark1.5.0, Sqoop1.4.6, Python3.5.1. -NL- 